shishi_tkt_clientrealm(3)

NAME
shishi_tkt_clientrealm - API function

SYNOPSIS
#include <shishi.h>

int shishi_tkt_clientrealm(Shishi_tkt * tkt, char ** client, size_t * clientlen);

ARGUMENTS

Shishi_tkt * tkt
    input variable with ticket info.

char ** client
    pointer to newly allocated zero terminated string containing principal name and realm. May be NULL (to only populate clientlen).

size_t * clientlen
    pointer to length of client on output, excluding terminating zero. May be NULL (to only populate client).

DESCRIPTION
Convert cname and realm fields from AS-REQ to printable principal name format. The string is allocate by this function, and it is the responsibility of the caller to deallocate it. Note that the output length clientlen does not include the terminating zero.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.